Bug 798616 - Review Request: jboss-ejb3-ext-api - JBoss EJB 3 Extension API
Review Request: jboss-ejb3-ext-api - JBoss EJB 3 Extension API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 06:47 EST by Sebastien Pasche
Modified: 2012-04-14 00:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: jboss-ejb3-ext-api-2.0.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 00:30:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastien Pasche 2012-02-29 06:47:50 EST
Spec : http://braoru.fedorapeople.org/jboss-ejb3-ext-api.spec
SRPM : http://braoru.fedorapeople.org/jboss-ejb3-ext-api-2.0.0-1.fc17.src.rpm

Description : 

hi ! 

I just finished cleaning of the jboss-ejb3-ext-api originally packaged by mgoldman. I would appreciate a review :)


Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
jboss-ejb3-ext-api.src: I: enchant-dictionary-not-found en_US
jboss-ejb3-ext-api.src: W: invalid-url URL: http://www.jboss.org/ejb3 HTTP Error 403: Forbidden
jboss-ejb3-ext-api.src: W: invalid-url Source0: jboss-ejb3-ext-api-2.0.0.beta2.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot definition is not present
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X ]  License field in the package spec file matches the actual license.

License type:
[X]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[X]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[X]  Sources used to build the package matches the upstream source, as provided in the spec URL.

MD5SUM this package    :
[root@localhost ~]# md5sum rpmbuild/SOURCES/jboss-ejb3-ext-api-2.0.0.tar.xz 
75ec41f430ad2cabfa42e679812534f9  rpmbuild/SOURCES/jboss-ejb3-ext-api-2.0.0.tar.xz

MD5SUM upstream package:
[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates or must require other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[X]  Permissions on files are set properly.
[X]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[X]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[X]  Package contains code, or permissable content.
[X]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[-]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.
[X]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[X]  If package contains pom.xml files install it (including depmaps) even when building with ant
[X]  pom files has correct add_maven_depmap


=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[X]  Package DOES NOT use %update_maven_depmap in %post/%postun
[X]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[X]  Reviewer should test that the package builds in mock.

[makerpm@localhost ~]$ /usr/bin/mock  rpmbuild/SRPMS/jboss-ejb3-ext-api-2.0.0-1.fc17.src.rpm 
INFO: mock.py version 1.1.21 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
INFO: Start(rpmbuild/SRPMS/jboss-ejb3-ext-api-2.0.0-1.fc17.src.rpm)  Config(fedora-17-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.21
INFO: Mock Version: 1.1.21
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: creating cache
State Changed: unlock buildroot
INFO: Installed packages:
State Changed: setup
State Changed: build
INFO: Done(rpmbuild/SRPMS/jboss-ejb3-ext-api-2.0.0-1.fc17.src.rpm) Config(default) 4 minutes 29 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-17-x86_64/result
State Changed: end
[makerpm@localhost ~]$
Comment 1 Marek Goldmann 2012-02-29 10:05:42 EST
I'll take a look at this.
Comment 2 Marek Goldmann 2012-02-29 11:05:49 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

rpmlint SPECS/jboss-ejb3-ext-api.spec 
SPECS/jboss-ejb3-ext-api.spec: W: invalid-url Source0: jboss-ejb3-ext-api-2.0.0.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

rpmlint SRPMS/jboss-ejb3-ext-api-2.0.0-1.fc17.src.rpm 
jboss-ejb3-ext-api.src: I: enchant-dictionary-not-found en_US
jboss-ejb3-ext-api.src: W: invalid-url URL: http://www.jboss.org/ejb3 HTTP Error 403: Forbidden
jboss-ejb3-ext-api.src: W: invalid-url Source0: jboss-ejb3-ext-api-2.0.0.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type: LGPLv3+

See #1.

[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

See #2.

[!]  All independent sub-packages have license of their own

See #2.

[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 75ec41f430ad2cabfa42e679812534f9
MD5SUM upstream package: 75ec41f430ad2cabfa42e679812534f9
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[!]  Package does not own files or directories owned by other packages.

See #4.

[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[!]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)

See #4.

[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3840406

=== Issues ===
1. Wrong license, should be LGPLv3+
2. License file not included in main and javadocs packages.
3. Requires section is missing java.
4. Remove jboss directory from _javadir. You use old rules, please read this: http://fedoraproject.org/wiki/JBossAS7#Rules_for_JBoss-related_packages
5. Remove:

%global namedversion %{version}
%global mavenversion %{version}

6. Title of this bug report should be changed and the ", part of JBoss packaging tasks" removed.

=== Final Notes ===
1. You don't need to do git checkout 2.0.0 - git archive is exporting the source tree of the specified tag. In your case 2.0.0, so git checkout is reduntant
2. Do not paste the review tempate on your own, because this is the reviewer reposonsibilty and this can confuse people.


Please fix above issues and bump the release tag. Don't forget to place new files in different directory, example: http://goldmann.fedorapeople.org/package_review/jboss-sasl/
Comment 3 Marek Goldmann 2012-02-29 11:09:22 EST
As a side note - if you pick up something from my cleanup queue - please also update the table here: http://fedoraproject.org/wiki/JBossAS7#Current_progress and CC me on every review request, thanks!
Comment 4 Sebastien Pasche 2012-03-04 05:04:00 EST
I'm working on it !
Comment 6 Marek Goldmann 2012-03-10 10:50:22 EST
Your usage of add_maven_depmap macro is correct. For more information, please read this: http://fedoraproject.org/wiki/Packaging:Java#add_maven_depmap_macro

The spec file looks good now, I'm happy to approve it and sponsor you!

P.S. For the future - please update the table here if you pick up something from queue: https://fedoraproject.org/wiki/JBossAS7#Current_progress

Feel free to add yourself also here: https://fedoraproject.org/wiki/JBossAS7#People_involved

================
*** APPROVED ***
================
Comment 7 Marek Goldmann 2012-03-13 05:28:36 EDT
Ping?
Comment 8 Sebastien Pasche 2012-03-17 03:59:46 EDT
Yes I'm on it :) (I'm working on it this weekend)
Comment 9 Sebastien Pasche 2012-03-17 04:45:17 EDT
New Package SCM Request
=======================
Package Name:  jboss-ejb3-ext-api
Short Description: JBoss EJB 3 API for Bean Providers
Owners: Braoru Goldmann
Branches: f17
InitialCC: Goldmann
Comment 10 Sebastien Pasche 2012-03-17 04:52:45 EDT
New Package SCM Request
=======================
Package Name:  jboss-ejb3-ext-api
Short Description: JBoss EJB 3 API for Bean Providers
Owners: Braoru
Branches: f17
InitialCC: Goldmann
Comment 11 Sebastien Pasche 2012-03-17 04:54:22 EDT
New Package SCM Request
=======================
Package Name:  jboss-ejb3-ext-api
Short Description: JBoss EJB 3 API for Bean Providers
Owners: braoru
Branches: f17
InitialCC: goldmann
Comment 12 Gwyn Ciesla 2012-03-19 08:14:48 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-03-20 16:32:34 EDT
jboss-ejb3-ext-api-2.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-ejb3-ext-api-2.0.0-2.fc17
Comment 14 Fedora Update System 2012-03-21 14:21:25 EDT
jboss-ejb3-ext-api-2.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Fedora Update System 2012-04-14 00:30:38 EDT
jboss-ejb3-ext-api-2.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.